Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 26037)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 26050)
@@ -911,5 +911,5 @@
     &lt;/td&gt;<br/>
 </Format>
-<Text id="fw-8-3">There is no <i>exp.Title</i> metadata, so remove that element from the following</Text>
+<Text id="fw-8-3">Next edit the <AutoText text="global"/> format features: there is no <i>exp.Title</i> metadata, so remove that element from the following</Text>
 <Format>&lt;gsf:choose-metadata&gt;<br/>
           <Tab n="1"/>&lt;gsf:metadata name=&quot;dc.Title&quot;/&gt;<br/>
@@ -1027,10 +1027,5 @@
     &lt;td valign=&quot;top&quot;&gt;<br />
       <Tab n="1"/>&lt;gsf:link type=&quot;document&quot;&gt;<br />
-        <Tab n="2"/>&lt;gsf:choose-metadata&gt;<br />
-          <Tab n="3"/>&lt;gsf:metadata name=&quot;dc.Title&quot;/&gt;<br />
-          <Tab n="3"/>&lt;gsf:metadata name=&quot;ex.dc.Title&quot;/&gt;<br />
-          <Tab n="3"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br />
-          <Tab n="3"/>&lt;gsf:default&gt;Untitled&lt;/gsf:default&gt;<br />
-        <Tab n="2"/>&lt;/gsf:choose-metadata&gt;<br />
+        <Tab n="2"/>&lt;xsl:call-template name=&quot;choose-title&quot;/&gt;<br />
         <Tab n="2"/>&lt;gsf:switch&gt;<br />
           <Tab n="3"/>&lt;gsf:metadata name=&quot;Source&quot;/&gt;<br />
@@ -1495,5 +1490,5 @@
 <NumberedItem>
 <Text id="assoc-files-15">Building the collection at this point will have the effect that internally Greenstone will have captured this relationship between the different file versions of the same documents; however, until we make some adjustments to the format statements, none of this will be visible to the end-user. The collection built at this point (with default settings) allows a user to search the text from the Word document, browse by title metadata and so on, but when it comes to the point of viewing a document there will only be the choice of viewing the Word version of the document, or the HTML version that Greenstone automatically generates by processing the Word document.</Text>
-<Text id="assoc-files-16">To go beyond this, the key change to make is to alter the part of the <MajorVersion number="2">default VList statement that says:</MajorVersion><MajorVersion number="3"><AutoText text="documentNode"/> template of the <AutoText text="browse"/> format statement which chooses between <Format>thumbicon</Format> and <Format>srcicon</Format>, and replace this with a reference to <Format>equivDocIcon</Format> instead.</MajorVersion></Text>
+<Text id="assoc-files-16">To go beyond this, the key change to make is to alter the part of the <MajorVersion number="2">default VList statement that says:</MajorVersion><MajorVersion number="3"><AutoText text="documentNode"/> template of the <AutoText key="coredm::_Global:labelBrowse_"/> format statement which chooses between <Format>thumbicon</Format> and <Format>srcicon</Format>, and replace this with a reference to <Format>equivDocIcon</Format> instead.</MajorVersion></Text>
 <MajorVersion number="2">
 <Format>
@@ -1529,5 +1524,5 @@
 <MajorVersion number="3">
 <Text id="assoc-files-20-3">The second (more minor) change in this edit is to simplify the statement a bit. The original uses a <Format>&lt;gsf:choose-metadata/&gt;</Format> statement to show a thumbnail version of the document, if Greenstone has one, in preference over the source icon. Since in this collection we have no thumbnails generated, it has been simplified by eliminating the <Format>&lt;gsf:choose-metadata/&gt;</Format> combination and going straight to the <AutoText text="ex.equivDocIcon" type="italics"/> metadata item.</Text>
-<Text id="assoc-files-21-3">To make the change then, switch to the <AutoText key="glidict::GUI.Format"/> panel and edit the <AutoText text="documentNode"/> template of the <AutoText text="browse"/> format statement</Text>
+<Text id="assoc-files-21-3">To make the change then, switch to the <AutoText key="glidict::GUI.Format"/> panel and edit the <AutoText text="documentNode"/> template of the <AutoText key="coredm::_Global:labelBrowse_"/> format statement</Text>
 <table>
 <th>
@@ -1548,11 +1543,5 @@
 &lt;td valign=&quot;top&quot;&gt;<br />
   <Tab n="1"/>&lt;gsf:link type=&quot;document&quot;&gt;<br />
-    <Tab n="2"/>&lt;gsf:choose-metadata&gt;<br />
-      <Tab n="3"/>&lt;gsf:metadata name=&quot;dc.Title&quot;/&gt;<br />
-      <Tab n="3"/>&lt;gsf:metadata name=&quot;exp.Title&quot;/&gt;<br />
-      <Tab n="3"/>&lt;gsf:metadata name=&quot;ex.dc.Title&quot;/&gt;<br />
-      <Tab n="3"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br />
-      <Tab n="3"/>&lt;gsf:default&gt;Untitled&lt;/gsf:default&gt;<br />
-    <Tab n="2"/>&lt;/gsf:choose-metadata&gt;<br />
+    <Tab n="2"/>&lt;xsl:call-template name=&quot;choose-title&quot;/&gt;<br />
   <Tab n="1"/>&lt;/gsf:link&gt;<br />
   <Tab n="1"/>&lt;gsf:switch&gt;<br />
@@ -1568,19 +1557,9 @@
 <Format>
 &lt;td valign=&quot;top&quot;&gt;<br />
-<highlight>
-  <Tab n="1"/>&lt;gsf:metadata name=&quot;equivDocLink&quot;/&gt;<br />
-  <Tab n="1"/>&lt;gsf:metadata name=&quot;equivDocIcon&quot;/&gt;<br />
-  <Tab n="1"/>&lt;gsf:metadata name=&quot;/equivDocLink&quot;/&gt;
-</highlight><br />
+  <highlight><Tab n="1"/>&lt;gsf:link type=&quot;equivdoc&quot;/&gt;</highlight><br />
 &lt;/td&gt;<br />
 &lt;td valign=&quot;top&quot;&gt;<br />
   <Tab n="1"/>&lt;gsf:link type=&quot;document&quot;&gt;<br />
-    <Tab n="2"/>&lt;gsf:choose-metadata&gt;<br />
-      <Tab n="3"/>&lt;gsf:metadata name=&quot;dc.Title&quot;/&gt;<br />
-      <Tab n="3"/>&lt;gsf:metadata name=&quot;exp.Title&quot;/&gt;<br />
-      <Tab n="3"/>&lt;gsf:metadata name=&quot;ex.dc.Title&quot;/&gt;<br />
-      <Tab n="3"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br />
-      <Tab n="3"/>&lt;gsf:default&gt;Untitled&lt;/gsf:default&gt;<br />
-    <Tab n="2"/>&lt;/gsf:choose-metadata&gt;<br />
+    <Tab n="2"/>&lt;xsl:call-template name=&quot;choose-title&quot;/&gt;<br />
   <Tab n="1"/>&lt;/gsf:link&gt;<br /> 
   <Tab n="1"/>&lt;gsf:switch&gt;
@@ -2012,5 +1991,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0430">To make use of the new URL metadata, the icon link must be changed to serve up the original URL rather than the copy stored in the digital library. Go to the <AutoText key="glidict::GUI.Format"/> panel, select the <AutoText key="glidict::CDM.GUI.Formats"/> section and edit the <MajorVersion number="2"><AutoText text="VList" /></MajorVersion><MajorVersion number="3"><AutoText text="documentNode"/> template of the <AutoText text="browse"/></MajorVersion> format statement by replacing</Text>
+<Text id="0430">To make use of the new URL metadata, the icon link must be changed to serve up the original URL rather than the copy stored in the digital library. Go to the <AutoText key="glidict::GUI.Format"/> panel, select the <AutoText key="glidict::CDM.GUI.Formats"/> section and edit the <MajorVersion number="2"><AutoText text="VList" /></MajorVersion><MajorVersion number="3"><AutoText text="documentNode"/> template of the <AutoText key="coredm::_Global:labelBrowse_"/></MajorVersion> format statement by replacing</Text>
 <MajorVersion number="2">
 <Format>[link][icon][/link]</Format>
@@ -2026,7 +2005,7 @@
 <Text id="0431">with</Text>
 <Format>
-  &lt;gsf:metadata name=&quot;weblink&quot;/&gt;<br/>
-  &lt;gsf:metadata name=&quot;webicon&quot;/&gt;<br/>
-  &lt;gsf:metadata name=&quot;/weblink&quot;/&gt;
+   &lt;gsf:link type=&quot;web&quot;&gt;<br />
+     <Tab n="1"/>&lt;gsf:icon type=&quot;web&quot;/&gt;<br />
+   &lt;/gsf:link&gt;<br />
 </Format>
 </MajorVersion>
@@ -3593,5 +3572,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0780">Now select the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, and select the <MajorVersion number="2"><AutoText text="VList" /></MajorVersion><MajorVersion number="3"><AutoText text="browse"/></MajorVersion> format statement in the list of assigned format statements. Add the following text before the final <Format>&lt;/td&gt;</Format><MajorVersion number="3"> of the <AutoText text="documentNode"/> template</MajorVersion>:</Text>
+<Text id="0780">Now select the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, and select the <MajorVersion number="2"><AutoText text="VList" /></MajorVersion><MajorVersion number="3"><AutoText key="coredm::_Global:labelBrowse_"/></MajorVersion> format statement in the list of assigned format statements. Add the following text before the final <Format>&lt;/td&gt;</Format><MajorVersion number="3"> of the <AutoText text="documentNode"/> template</MajorVersion>:</Text>
 <Format>
 <MajorVersion number="2">{If}{[ex.equivlink],&lt;br&gt;Also available as:[ex.equivlink]}</MajorVersion>
@@ -3617,11 +3596,5 @@
 <MajorVersion number="2">{Or}{[dc.Title],[exp.Title],[ex.Title],Untitled}</MajorVersion>
 <MajorVersion number="3">
-      &lt;gsf:choose-metadata&gt;<br />
-        <Tab n="1"/>&lt;gsf:metadata name=&quot;dc.Title&quot;/&gt;<br />
-        <Tab n="1"/>&lt;gsf:metadata name=&quot;exp.Title&quot;/&gt;<br />
-        <Tab n="1"/>&lt;gsf:metadata name=&quot;ex.dc.Title&quot;/&gt;<br />
-        <Tab n="1"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br />
-        <Tab n="1"/>&lt;gsf:default&gt;Untitled&lt;/gsf:default&gt;<br />
-      &lt;/gsf:choose-metadata&gt;
+  &lt;xsl:call-template name=&quot;choose-title&quot;/&gt;
 </MajorVersion>
 </Format>