Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 26050)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 26058)
@@ -2054,14 +2054,20 @@
 </Heading>
 <NumberedItem>
+<MajorVersion number="2">
 <Text id="0531a">Now let's look at fielded searching. In the browser, go to the <AutoText key="coredm::_Global:linktextPREFERENCES_" type="italics"/> page. You will notice that there is a <AutoText key="coredm::_preferences:textsearchtype_" /> option which enables you to switch between "normal" and "fielded" search. Change to fielded search now, press the <AutoText key="coredm::_preferences:textsetprefs_"/>, and click on the <AutoText key="coredm::_Global:labelSearch_"/> button to go back to the Search page. The search form has changed to a fielded form.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0531b">You can specify which search form types are available for a particular collection, and which one is the default, using the <AutoText text="SearchTypes"/> format statement. In the <AutoText key="glidict::GUI.Format"/> panel select <AutoText key="glidict::CDM.GUI.Formats"/> from the left-hand list. Select the <AutoText text="SearchTypes"/> format statement from the list of assigned formats, and set the contents to <AutoText text="form"/>. This will make only fielded searching available for this collection.</Text>
-<Comment>
-<Text id="0531c">Search type options include <AutoText text="form"/> and <AutoText text="plain"/>. You can specify one or both separated by a comma. If both are specified, the first one is used as the default: this is the one that the user will see when they first enter the collection.</Text>
-</Comment>
-</NumberedItem>
-<NumberedItem>
-<Text id="0533"><b>Preview</b> the collection again. Notice that the collection's home page no longer includes a query box. (This is because the search form is too big to fit here nicely.) To search, you have to click <AutoText key="coredm::_Global:labelSearch_"/> in the navigation bar. Note that the <AutoText key="coredm::_Global:linktextPREFERENCES_" type="italics"/> page has changed so that the "normal" query style is no longer offered.</Text>
+</MajorVersion>
+<MajorVersion number="3">
+<Text id="0531a-3">Now let's look at fielded searching. In the browser, press the <AutoText text="form search"/> button below the usual search form. This will present a fielded search form.</Text>
+</MajorVersion>
+</NumberedItem>
+<NumberedItem>
+<Text id="0531b">You can specify which search form types are available for a particular collection, and which one is the default, using the <AutoText text="SearchTypes"/> format statement. In the <AutoText key="glidict::GUI.Format"/> panel select <AutoText key="glidict::CDM.GUI.Formats"/> from the left-hand list. Select the <AutoText text="SearchTypes"/> format statement from the list of assigned formats, and set the contents to <MajorVersion number="2"><AutoText text="form"/></MajorVersion><MajorVersion number="3">just <AutoText text="simpleform"/></MajorVersion>. This will make only fielded searching available for this collection.</Text>
+<Comment>
+<MajorVersion number="2"><Text id="0531d">Search type options include <AutoText text="form"/> and <AutoText text="plain"/>. You can specify one or both separated by a comma. If both are specified, the first one is used as the default: this is the one that the user will see when they first enter the collection.</Text></MajorVersion>
+<MajorVersion number="3"><Text id="0531d">Search type options include <AutoText text="plain"/>, <AutoText text="simpleform"/> (for fielded searching) and <AutoText text="advancedform"/> (for fielded searching with boolean operations). You can specify any combination of these, separated by a comma. If the <AutoText text="plain"/> search type is specified, it will be available in the search area at the top of each page of the collection.</Text></MajorVersion>
+</Comment>
+</NumberedItem>
+<NumberedItem>
+<Text id="0533"><b>Preview</b> the collection again. Notice that the collection's <MajorVersion number="2">home page</MajorVersion><MajorVersion number="3">pages</MajorVersion> no longer includes a query box. (This is because the search form is too big to fit here nicely.) To search, you have to click <MajorVersion number="2"><AutoText key="coredm::_Global:labelSearch_"/></MajorVersion><MajorVersion number="3"><AutoText text="form search"/></MajorVersion> in the navigation bar. Note that <MajorVersion number="2">the <AutoText key="coredm::_Global:linktextPREFERENCES_" type="italics"/> page has changed so that the "normal" query style</MajorVersion><MajorVersion number="3"><AutoText text="text search"/></MajorVersion> is no longer offered.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2100,5 +2106,6 @@
 <NumberedItem>
 <Text id="0533-11"><b>Rebuild</b> and <b>preview</b> the collection. You will notice that the <AutoText key="coredm::_Global:labelSubject_" type="italics"/> classifier is empty, searching no longer returns any results, and the document display is useless.</Text>
-<Text id="0533-11b">Although the <AutoText key="coredm::_Global:labelTitle_" type="italics"/> classifier was built on <AutoText key="metadata::ex.Title"/>, it still displays the correct titles, but in the <AutoText key="glidict::GUI.Enrich"/> panel you can see the <AutoText key="metadata::ex.Title"/> metadata are actually the filenames rather than titles of the MARC records. This is because the default <AutoText text="VList"/> format uses the <AutoText key="metadata::exp.Title"/> metadata. In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select <AutoText text="VList"/> in the list of assigned format statements. The format statement looks like:</Text>
+<Text id="0533-11b">Although the <AutoText key="coredm::_Global:labelTitle_" type="italics"/> classifier was built on <AutoText key="metadata::ex.Title"/>, it still displays the correct titles, but in the <AutoText key="glidict::GUI.Enrich"/> panel you can see the <AutoText key="metadata::ex.Title"/> metadata are actually the filenames rather than titles of the MARC records. This is because the default <MajorVersion number="2"><AutoText text="VList"/></MajorVersion><MajorVersion number="3"><AutoText text="browse"/></MajorVersion> format uses the <AutoText key="metadata::exp.Title"/> metadata. In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select <MajorVersion number="2"><AutoText text="VList"/></MajorVersion><MajorVersion number="3"><AutoText text="global"/></MajorVersion> in the list of assigned format statements. The format statement looks like:</Text>
+<MajorVersion number="2">
 <Format>
 &lt;td valign="top"&gt;[link][icon][/link]&lt;/td&gt;<br/>
@@ -2108,5 +2115,18 @@
 [/highlight]{If}{[ex.Source],&lt;br&gt;&lt;i&gt;([ex.Source])&lt;/i&gt;}&lt;/td&gt;
 </Format>
-<Text id="0533-11c">Since there is no <AutoText key="metadata::dc.Title"/> metadata and <AutoText key="metadata::exp.Title"/> comes before <AutoText key="metadata::ex.Title"/>, the exploded titles will be displayed.</Text>
+</MajorVersion>
+<MajorVersion number="3">
+<Format>
+  &lt;gsf:choose-metadata&gt;<br/>
+    <Tab n="1"/>&lt;gsf:metadata name=&quot;dc.Title&quot;/&gt;<br/>
+    <Tab n="1"/>&lt;gsf:metadata name=&quot;exp.Title&quot;/&gt;<br/>
+    <Tab n="1"/>&lt;gsf:metadata name=&quot;ex.dc.Title&quot;/&gt;<br/>
+    <Tab n="1"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br/>
+    <Tab n="1"/>&lt;gsf:default&gt;Untitled&lt;/gsf:default&gt;<br/>
+  &lt;/gsf:choose-metadata&gt;
+</Format>
+The above format statement is found in the <AutoText text="choose-title"/> template defined in the <AutoText text="global"/> format feature, which is included by the <AutoText text="browse"/> format statements.
+</MajorVersion>
+<Text id="0533-11c">Since there is no <AutoText key="metadata::dc.Title"/> metadata and because <AutoText key="metadata::exp.Title"/> comes before <AutoText key="metadata::ex.Title"/>, the exploded titles will be displayed.</Text>
 </NumberedItem>
 <Heading>
@@ -2117,5 +2137,5 @@
 <Text id="0533-12b">We need to modify the collection design to take note of these changes.</Text>
 <NumberedItem>
-<Text id="0533-13">In the <AutoText key="glidict::CDM.GUI.Indexes"/> section, change the Title index to use <AutoText key="metadata::exp.Title"/>: select the Title index in the <AutoText key="glidict::CDM.IndexManager.Indexes"/> list and click <AutoText key="glidict::CDM.IndexManager.Edit_Index" type="button"/>. Deselect <AutoText key="metadata::dc.Title"/> and <AutoText key="metadata::ex.Title"/> in the list of metadata, and select <AutoText key="metadata::exp.Title"/>. Click <AutoText key="glidict::CDM.IndexManager.Replace_Index" type="button"/>.</Text>
+<Text id="0533-13">In the <AutoText key="glidict::CDM.GUI.Indexes"/> section, change the Title index to use <AutoText key="metadata::exp.Title"/>: select the Title index in the <AutoText key="glidict::CDM.IndexManager.Indexes"/> list and click <AutoText key="glidict::CDM.IndexManager.Edit_Index" type="button"/>. Deselect <AutoText key="metadata::dc.Title"/>, <AutoText key="metadata::ex.dc.Title"/> and <AutoText key="metadata::ex.Title"/> in the list of metadata, and select <AutoText key="metadata::exp.Title"/>. Click <AutoText key="glidict::CDM.IndexManager.Replace_Index" type="button"/>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2138,13 +2158,64 @@
 <BulletList>
 <Bullet>
-<Text id="0533-16a">There is no dc metadata for this collection, so replace <Format>{Or}{[dc.Title],[exp.Title],[ex.Title],Untitled}</Format> with <Format>{Or}{[exp.Title],[ex.Title],Untitled}</Format>.</Text>
-</Bullet>
-<Bullet>
-<Text id="0533-16b">There are no source or thumb icons, so remove the second line: <Format>&lt;td valign="top"&gt;[ex.srclink]{Or}{[ex.thumbicon],[ex.srcicon]}[ex./srclink]&lt;/td&gt;</Format>.</Text>
-</Bullet>
-<Bullet>
-<Text id="0533-16c">The ex.Source metadata is set to the nul filename, so remove that from the display: remove <Format>{If}{[ex.Source],&lt;br&gt;&lt;i&gt;([ex.Source])&lt;/i&gt;}</Format></Text>
+<MajorVersion number="2">
+<Text id="0533-16a">There is no dc metadata for this collection, so replace <Format>{Or}{[dc.Title],[exp.Title],[ex.dc.Title],[ex.Title],Untitled}</Format> with <Format>{Or}{[exp.Title],[ex.Title],Untitled}</Format>.</Text>
+</MajorVersion>
+<MajorVersion number="3">
+<Text id="0533-16e">There is no dc (or ex.dc) metadata for this collection, so in the <AutoText text="global"/> format feature's <AutoText text="choose-title"/> template, replace the following</Text>
+<Format>
+  &lt;gsf:choose-metadata&gt;<br/>
+    <Tab n="1"/>&lt;gsf:metadata name=&quot;dc.Title&quot;/&gt;<br/>
+    <Tab n="1"/>&lt;gsf:metadata name=&quot;exp.Title&quot;/&gt;<br/>
+    <Tab n="1"/>&lt;gsf:metadata name=&quot;ex.dc.Title&quot;/&gt;<br/>
+    <Tab n="1"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br/>
+    <Tab n="1"/>&lt;gsf:default&gt;Untitled&lt;/gsf:default&gt;<br/>
+  &lt;/gsf:choose-metadata&gt;
+</Format>
+<Text id="0691b">with</Text>
+<Format>
+  &lt;gsf:choose-metadata&gt;<br/>
+    <Tab n="1"/>&lt;gsf:metadata name=&quot;exp.Title&quot;/&gt;<br/>
+    <Tab n="1"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br/>
+    <Tab n="1"/>&lt;gsf:default&gt;Untitled&lt;/gsf:default&gt;<br/>
+  &lt;/gsf:choose-metadata&gt;
+</Format>
+</MajorVersion>
+</Bullet>
+<Bullet>
+<MajorVersion number="2">
+<Text id="0533-16b">There are no source or thumb icons, so remove the second line:</Text>
+<Format>&lt;td valign="top"&gt;[ex.srclink]{Or}{[ex.thumbicon],[ex.srcicon]}[ex./srclink]&lt;/td&gt;</Format>
+</MajorVersion>
+<MajorVersion number="3">
+<Text id="0533-16b-3">There are no source or thumb icons, so in the <AutoText text="documentNode"/> and <AutoText text="classifierNode"/> templates of the <AutoText text="browse"/> format feature, remove the occurrences of the following section:</Text>
+<Format>
+  &lt;gsf:link type=&quot;source&quot;&gt;<br />
+    <Tab n="1"/>&lt;gsf:choose-metadata&gt;<br />
+      <Tab n="2"/>&lt;gsf:metadata name=&quot;thumbicon&quot;/&gt;<br />
+      <Tab n="2"/>&lt;gsf:metadata name=&quot;srcicon&quot;/&gt;<br />
+    <Tab n="1"/>&lt;/gsf:choose-metadata&gt;<br />
+  &lt;/gsf:link&gt;<br />
+</Format>
+</MajorVersion>
+</Bullet>
+<Bullet>
+<Text id="0533-16c">The ex.Source metadata is set to the nul filename, so remove that from the display. Remove:</Text>
+<MajorVersion number="2">
+<Format>{If}{[ex.Source],&lt;br&gt;&lt;i&gt;([ex.Source])&lt;/i&gt;}</Format>
+</MajorVersion>
+<MajorVersion number="3">
+<Format>
+  &lt;gsf:switch&gt;<br />
+    <Tab n="1"/>&lt;gsf:metadata name=&quot;Source&quot;/&gt;<br />
+    <Tab n="1"/>&lt;gsf:when test=&quot;exists&quot;&gt;<br />
+      <Tab n="2"/>&lt;br/&gt;<br />
+      <Tab n="2"/>&lt;i&gt;(&lt;gsf:metadata name=&quot;Source&quot;/&gt;)&lt;/i&gt;<br />
+    <Tab n="1"/>&lt;/gsf:when&gt;<br />
+  &lt;/gsf:switch&gt;<br />
+</Format>
+</MajorVersion>
 </Bullet>
 </BulletList>
+<MajorVersion number="2">
 <Text id="0533-16d">The resulting format statement looks like:</Text>
 <Format>
@@ -2154,9 +2225,17 @@
 [/highlight]&lt;/td&gt;
 </Format>
-</NumberedItem>
-<NumberedItem>
+</MajorVersion>
+</NumberedItem>
+<NumberedItem>
+<MajorVersion number="2">
 <Text id="0533-19">Clear the <AutoText text="DocumentHeading"/> format statement by selecting it in the list of assigned format statements and deleting the contents in the <AutoText key="glidict::CDM.FormatManager.Editor"/>. The record Title will be displayed as part of the <AutoText text="DocumentText"/> format, so we don't need it here. </Text>
-</NumberedItem>
-<NumberedItem>
+</MajorVersion>
+<MajorVersion number="3">
+<Text id="0533-19-3">The record Title will be displayed as part of the default <AutoText text="documentContent"/> format, so we override the <AutoText text="documentHeading"/> format statement (which displays the Title) with one that does not do anything. Go to the <AutoText text="display"/> format feature in the <AutoText key="glidict::CDM.FormatManager.Editor"/> and add the following:</Text>
+<Format>&lt;gsf:template name=&quot;documentHeading&quot;/&gt;</Format>
+</MajorVersion>
+</NumberedItem>
+<NumberedItem>
+<MajorVersion number="2">
 <Text id="0533-20">Next, edit the <AutoText text="DocumentText"/> format statement. Delete the contents and replace it with</Text>
 <Format>
@@ -2167,7 +2246,30 @@
 &lt;/table&gt;
 </Format>
-</NumberedItem>
-<NumberedItem>
-<Text id="0533-22">The <AutoText key="coredm::_document:textDETACH_" type="italics"/> and <AutoText key="coredm::_document:textNOHIGHLIGHT_" type="italics"/> buttons are not very useful for this collection, so lets get rid of them. Edit the <AutoText text="DocumentButtons"/> format statement to make it empty. Press the <AutoText key="glidict::CreatePane.Preview_Collection" type="button"/> button to preview the collection.</Text>
+</MajorVersion>
+<MajorVersion number="3">
+<Text id="0533-20-3">Next, override the default <AutoText text="documentContent"/> behaviour by creating a format statement for this. Still in the <AutoText text="display"/> format features, add:</Text>
+<Format>
+  &lt;gsf:template name=&quot;documentContent&quot;&gt;<br />
+    <Tab n="1"/>&lt;table&gt;<br />
+      <Tab n="2"/>&lt;tr&gt;<br />
+        <Tab n="3"/>&lt;td&gt;Title:&lt;/td&gt;<br />
+        <Tab n="3"/>&lt;td&gt;&lt;gsf:metadata name=&quot;exp.Title&quot;/&gt;&lt;/td&gt;<br />
+      <Tab n="2"/>&lt;/tr&gt;<br />
+      <Tab n="2"/>&lt;tr&gt;<br />
+        <Tab n="3"/>&lt;td&gt;Subject:&lt;/td&gt;<br />
+        <Tab n="3"/>&lt;td&gt;&lt;gsf:metadata name=&quot;exp.Subject&quot;/&gt;&lt;/td&gt;<br />
+      <Tab n="2"/>&lt;/tr&gt;<br />
+      <Tab n="2"/>&lt;tr&gt;<br />
+        <Tab n="3"/>&lt;td&gt;Publisher:&lt;/td&gt;<br />
+        <Tab n="3"/>&lt;td&gt;&lt;gsf:metadata name=&quot;exp.Publisher&quot;/&gt;&lt;/td&gt;<br />
+      <Tab n="2"/>&lt;/tr&gt;<br />
+    <Tab n="1"/>&lt;/table&gt;<br />
+  &lt;/gsf:template&gt;
+</Format>
+</MajorVersion>
+</NumberedItem>
+<NumberedItem>
+<Text id="0533-22"><MajorVersion number="2">The <AutoText key="coredm::_document:textDETACH_" type="italics"/> and <AutoText key="coredm::_document:textNOHIGHLIGHT_" type="italics"/> buttons are not very useful for this collection, so lets get rid of them. Edit the <AutoText text="DocumentButtons"/> format statement to make it empty. </MajorVersion>
+Press the <AutoText key="glidict::CreatePane.Preview_Collection" type="button"/> button to preview the collection.</Text>
 </NumberedItem>
 </Content>
@@ -2203,4 +2305,5 @@
 </NumberedItem>
 <NumberedItem>
+<MajorVersion number="2">
 <Text id="is-11">In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, change the <AutoText text="VList"/> format statement to display <AutoText text="Photographer"/> and <AutoText text="Notes"/> metadata. Change it to look like:</Text>
 <Format>
@@ -2208,9 +2311,31 @@
 &lt;td valign=top&gt;&lt;b&gt;[ex.Photographer^all]&lt;/b&gt;&lt;br/&gt;[ex.Notes^all]&lt;/td&gt;
 </Format>
-</NumberedItem>
+</MajorVersion>
+<MajorVersion number="3">
+<Text id="is-11">In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, change the <AutoText text="browse"/> format statement to display <AutoText text="Photographer"/> and <AutoText text="Notes"/> metadata. Change its <AutoText text="documentNode"/> template to look like:</Text>
+<Format>
+  &lt;gsf:template match=&quot;documentNode&quot;&gt;<br />
+    <Tab n="1"/>&lt;td valign=&quot;top&quot;&gt;<br />
+      <Tab n="2"/>&lt;gsf:link type=&quot;document&quot;&gt;<br />
+        <Tab n="3"/>&lt;gsf:icon type=&quot;document&quot;/&gt;<br />
+      <Tab n="2"/>&lt;/gsf:link&gt;<br />
+    <Tab n="1"/>&lt;/td&gt;<br />
+    <highlight>
+    <Tab n="1"/>&lt;td valign=&quot;top&quot;&gt;<br />
+      <Tab n="2"/>&lt;b&gt;&lt;gsf:metadata name=&quot;Photographer^all&quot;/&gt;&lt;/b&gt;<br />
+      <Tab n="2"/>&lt;br/&gt;&lt;gsf:metadata name=&quot;Notes^all&quot;/&gt;<br />
+    <Tab n="1"/>&lt;/td&gt;
+    </highlight><br />
+  &lt;/gsf:template&gt;
+</Format>
+</MajorVersion>
+</NumberedItem>
+<MajorVersion number="2">
 <NumberedItem>
 <Text id="is-11a">Make fielded searching the default by changing the <AutoText text="SearchTypes"/> format statement to <AutoText text="form,plain"/> (instead of <AutoText text="plain,form"/>).</Text>
 </NumberedItem>
+</MajorVersion>
 <Text id="is-13"><AutoText text="ISISPlug"/> stores a nicely formatted version of the record as the document text, and this is what is displayed when we view a record. Let's tidy it up a little more.</Text>
+<MajorVersion number="2">
 <NumberedItem>
 <Text id="is-14">Remove the <AutoText key="coredm::_document:textDETACH_" type="italics"/> and <AutoText key="coredm::_document:textNOHIGHLIGHT_" type="italics"/> buttons by setting the <AutoText text="DocumentButtons"/> format statement to empty.</Text>
@@ -2219,6 +2344,10 @@
 <Text id="is-15">Remove the <AutoText text="Untitled" type="quoted"/> at the top of the document by setting the <AutoText text="DocumentHeading"/> format statement to empty.</Text>
 </NumberedItem>
-<NumberedItem>
-<Text id="is-16">Finally, lets link to the raw record, which is stored as <AutoText text="ISISRawRecord"/> metadata. Edit the <AutoText text="DocumentText"/> format statement to look like the following. (This format can be copied from <Path>sample_files &rarr; isis &rarr; format_tweaks &rarr; document_text.txt</Path>.)</Text>
+</MajorVersion>
+<NumberedItem>
+<Text id="is-16">Finally, lets link to the raw record, which is stored as <AutoText text="ISISRawRecord"/> metadata. 
+<MajorVersion number="2">Edit the <AutoText text="DocumentText"/> format statement to look like the following. (This format can be copied from <Path>sample_files &rarr; isis &rarr; format_tweaks &rarr; document_text.txt</Path>.)</MajorVersion>
+<MajorVersion number="3">Add the following to the <AutoText text="display"/> format statement, to adjust the <AutoText text="documentContent"/>. This now makes use of a predefined Greenstone javascript function to toggle between displaying and hiding the raw record.</MajorVersion></Text>
+<MajorVersion number="2">
 <Format>
 &lt;p&gt;[Text]&lt;/p&gt;<br/>
@@ -2229,4 +2358,31 @@
 }
 </Format>
+</MajorVersion>
+<MajorVersion number="3">
+<Format>
+  &lt;gsf:template name=&quot;documentContent&quot;&gt;<br/>
+    <Tab n="1"/>&lt;p&gt;<br/>
+      <Tab n="2"/>&lt;xsl:call-template name=&quot;wrappedSectionText&quot;/&gt;<br/>
+    <Tab n="1"/>&lt;/p&gt;<br/>
+<br/>
+    <Tab n="1"/>&lt;a href=&quot;javascript:;&quot; id=&quot;cdsreclink&quot;&gt;Show/Hide CDS Record&lt;/a&gt;<br/>
+    <Tab n="1"/>&lt;div id=&quot;cdsrecord&quot;&gt;<br/>
+      <Tab n="2"/>&lt;b&gt;CDS Record:&lt;/b&gt;<br/>
+      <Tab n="2"/>&lt;br/&gt;<br/>
+      <Tab n="2"/>&lt;tt&gt;<br/>
+        <Tab n="3"/>&lt;gsf:metadata name=&quot;ISISRawRecord&quot;/&gt;<br/>
+      <Tab n="2"/>&lt;/tt&gt;<br/>
+    <Tab n="1"/>&lt;/div&gt;<br/>
+<br/>
+	<Tab n="1"/>&lt;script type=&quot;text/javascript&quot;&gt;<br/>
+	   <Tab n="2"/>&lt;xsl:text disable-output-escaping=&quot;yes&quot;&gt;<br/>
+		<Tab n="3"/>var link=document.getElementById(&quot;cdsreclink&quot;);<br/>
+		<Tab n="3"/>var div=document.getElementById(&quot;cdsrecord&quot;);<br/>
+		<Tab n="3"/>gs.functions.makeToggle(link, div);<br/>
+	   <Tab n="2"/>&lt;/xsl:text&gt;<br/>
+	<Tab n="1"/>&lt;/script&gt;<br/>   
+  &lt;/gsf:template&gt;<br/>
+</Format>
+</MajorVersion>
 </NumberedItem>
 <NumberedItem>