Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 26058)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 26059)
@@ -3352,5 +3352,5 @@
 </Comment>
 <NumberedItem>
-<Text id="oai-plugin-option">You will need to specify which document the OAI metadata values should be attached to. In the <AutoText key="glidict::GUI.Design"/> panel, select the <AutoText key="glidict::CDM.GUI.Plugins"/> section, then select the <AutoText text="OAIPlugin"/> and click <AutoText key="glidict::CDM.PlugInManager.Configure" type="button"/>. Locate the <AutoText text="document_field"/> option in the popup window and select <AutoText text="ex.dc.Identifier"/> from the drop-down list. Click <AutoText key="glidict::General.OK" type="button"/>. Finally, move the <AutoText text="OAIPlugin"/> above the <AutoText text="EmbeddedMetadataPlugin"/>.</Text>
+<Text id="oai-plugin-option">You will need to specify which document the OAI metadata values should be attached to. In the <AutoText key="glidict::GUI.Design"/> panel, select the <AutoText key="glidict::CDM.GUI.Plugins"/> section, then select the <AutoText text="OAIPlugin"/> and click <AutoText key="glidict::CDM.PlugInManager.Configure" type="button"/>. Locate the <AutoText text="document_field"/> option in the popup window and type <AutoText text="ex.dc.Identifier"/> (it may not be available in the drop-down list until after building). Click <AutoText key="glidict::General.OK" type="button"/>. <MajorVersion number="2">Finally, you may want to remove the <AutoText text="EmbeddedMetadataPlugin"/> to speed up building (since it's not going to extract metadata relevant to this tutorial anyway).</MajorVersion></Text>
 </NumberedItem>
 <NumberedItem>
@@ -3368,5 +3368,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0714">Add an <AutoText text="AZCompactList" /> classifier based on <AutoText key="metadata::ex.dc.Subject"/> metadata. Configure it with <AutoText text="subjects"/> as the <AutoText text="buttonname"/>.</Text>
+<Text id="0714">Add an <AutoText text="AZCompactList" /> classifier based on <AutoText key="metadata::ex.dc.Subject"/> metadata. Configure it with <AutoText text="Subjects"/> as the <AutoText text="buttonname"/>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3375,5 +3375,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0716">In the <AutoText key="glidict::CDM.GUI.Indexes"/> section of the <AutoText key="glidict::GUI.Design"/> panel, delete all indexes and add a new one based on <AutoText key="metadata::ex.dc.Description"/> metadata. Set the <AutoText text="Display text"/> for the <AutoText key="metadata::ex.dc.Description"/> index by going to the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> section in the <AutoText key="glidict::GUI.Format"/> panel and changing its label to "_labelDescription_". Using a macro for an index name means that it will display in the correct language (assuming that the macro has been translated). You can check <Path>Greenstone &rarr; macros &rarr; english.dm</Path> to see which macros are available.</Text> 
+<Text id="0716">In the <AutoText key="glidict::CDM.GUI.Indexes"/> section of the <AutoText key="glidict::GUI.Design"/> panel, delete all indexes and add a new one based on <AutoText key="metadata::ex.dc.Description"/> metadata. Set the <AutoText text="Display text"/> for the <AutoText key="metadata::ex.dc.Description"/> index by going to the <AutoText key="glidict::CDM.GUI.SearchMetadata"/> section in the <AutoText key="glidict::GUI.Format"/> panel and changing its label to <MajorVersion number="2">"_labelDescription_". Using a macro for an index name means that it will display in the correct language (assuming that the macro has been translated). You can check <Path>Greenstone &rarr; macros &rarr; english.dm</Path> to see which macros are available.</MajorVersion><MajorVersion number="3">"descriptions"</MajorVersion>.</Text> 
 </NumberedItem>
 <NumberedItem>
@@ -3384,4 +3384,5 @@
 </Heading>
 <NumberedItem>
+<MajorVersion number="2">
 <Text id="0719">In the <AutoText key="glidict::GUI.Format"/> panel, select <AutoText key="glidict::CDM.GUI.Formats"/>. First replace the <AutoText text="VList" /> format statement with the following (which can be copied from the file <Path>vlist_tweak.txt</Path> in the <Path>sample_files &rarr; oai &rarr;format_tweaks</Path> folder).</Text>
 <Format>
@@ -3390,19 +3391,61 @@
 &lt;/td&gt;<br/> 
 &lt;td valign=middle&gt;<br/> 
-&nbsp;&nbsp;{If}{[numleafdocs],[Title],&lt;i&gt;[dc.Description]&lt;/i&gt;}<br/> 
+&nbsp;&nbsp;{If}{[numleafdocs],[Title],&lt;i&gt;[ex.dc.Description]&lt;/i&gt;}<br/> 
 &lt;/td&gt;
+</Format>
+</MajorVersion>
+<MajorVersion number="3">
+<Text id="0719">In the <AutoText key="glidict::GUI.Format"/> panel, select <AutoText key="glidict::CDM.GUI.Formats"/>. First, in the <AutoText text="browse" /> format statement, replace the templates for <AutoText text="documentNode"/> and <AutoText text="classifierNode"/> for <AutoText text="VList"/>s with the following.</Text>
+<Format>
+  &lt;gsf:template match=&quot;documentNode&quot;&gt;<br />
+    <Tab n="1"/>&lt;td valign=&quot;top&quot;&gt;<br />
+      <Tab n="2"/>&lt;gsf:link type=&quot;document&quot;&gt;<br />
+        <Tab n="3"/>&lt;gsf:metadata name=&quot;thumbicon&quot;/&gt;<br />
+      <Tab n="2"/>&lt;/gsf:link&gt;<br />
+    <Tab n="1"/>&lt;/td&gt;<br />
+    <Tab n="1"/>&lt;td valign=&quot;middle&quot;&gt;<br />
+      <Tab n="2"/>&lt;i&gt;<br />
+        <Tab n="3"/>&lt;gsf:metadata name=&quot;ex.dc.Description&quot;/&gt;<br />
+      <Tab n="2"/>&lt;/i&gt;<br />
+    <Tab n="1"/>&lt;/td&gt;<br />
+  &lt;/gsf:template&gt;
+</Format>
+<Format>
+  &lt;gsf:template match=&quot;classifierNode[@classifierStyle = 'VList']&quot;&gt;<br />
+    <Tab n="1"/>&lt;td valign=&quot;top&quot;&gt;<br />
+      <Tab n="2"/>&lt;gsf:link type=&quot;classifier&quot;&gt;<br />
+        <Tab n="3"/>&lt;gsf:icon type=&quot;classifier&quot;/&gt;<br />
+      <Tab n="2"/>&lt;/gsf:link&gt;<br />
+    <Tab n="1"/>&lt;/td&gt;<br />
+    <Tab n="1"/>&lt;td valign=&quot;top&quot;&gt;<br />
+      <Tab n="2"/>&lt;xsl:call-template name=&quot;choose-title&quot;/&gt;<br />
+    <Tab n="1"/>&lt;/td&gt;<br />
+  &lt;/gsf:template&gt;
+</Format>
+</MajorVersion> 
+<Comment>
+<Text id="0721">This format statement customizes the appearance of vertical lists such as the search results and captions lists to show a thumbnail icon followed by Description metadata.</Text>
+</Comment>
+</NumberedItem>
+<NumberedItem>
+<Text id="0722">Next, select <MajorVersion number="2"><AutoText text="DocumentHeading"/></MajorVersion><MajorVersion number="3">the <AutoText text="documentHeading"/> in the <AutoText text="display"/> format statement </MajorVersion> from the <AutoText key="glidict::CDM.GUI.Formats"/> list and change its format statement to:</Text>
+<MajorVersion number="2">
+<Format>&lt;h3&gt;[ex.dc.Subject]&lt;/h3&gt;</Format> 
+</MajorVersion>
+<MajorVersion number="3">
+<Format>
+  &lt;gsf:template name=&quot;documentHeading&quot;&gt;<br />
+    &lt;h3&gt;<br />
+      &lt;gsf:metadata name=&quot;ex.dc.Subject&quot;/&gt;<br />
+    &lt;/h3&gt;<br />
+  &lt;/gsf:template&gt;
 </Format> 
-<Comment>
-<Text id="0721">This format statement customizes the appearance of vertical lists such as the search results and captions lists to show a thumbnail icon followed by Description metadata.</Text>
-</Comment>
-</NumberedItem>
-<NumberedItem>
-<Text id="0722">Next, select <AutoText text="DocumentHeading"/> from the <AutoText key="glidict::CDM.FormatManager.Feature"/> pull-down list and change its format statement to: </Text>
-<Format>&lt;h3&gt;[ex.dc.Subject]&lt;/h3&gt;</Format> 
-<Comment>
-<Text id="0723">The document heading appears above the <AutoText key="coredm::_document:textDETACH_" type="italics"/> and <AutoText key="coredm::_document:textNOHIGHLIGHT_" type="italics"/> buttons when you get to a document in the collection. By default <AutoText text="DocumentHeading"/> displays the document's <AutoText key="metadata::ex.Title"/> metadata. In this particular set of OAI exported records, titles are filenames of JPEG images, and the filenames are particularly uninformative (for example, 01dla14). You can see them in the <AutoText key="glidict::GUI.Enrich"/> panel if you select an image in <Path>oai &rarr; JCDLPICS &rarr; srcdocs</Path> and check its <AutoText key="metadata::ex.Source"/> and <AutoText key="metadata::ex.Title"/> metadata. The above format statement displays <AutoText key="metadata::ex.dc.Subject"/> metadata instead.</Text>
-</Comment>
-</NumberedItem>
-<NumberedItem>
+</MajorVersion>
+<Comment>
+<Text id="0723"><MajorVersion number="2">The document heading appears above the <AutoText key="coredm::_document:textDETACH_" type="italics"/> and <AutoText key="coredm::_document:textNOHIGHLIGHT_" type="italics"/> buttons when you get to a document in the collection.</MajorVersion> By default <MajorVersion number="2"><AutoText text="DocumentHeading"/></MajorVersion><MajorVersion number="3"><AutoText text="documentHeading"/></MajorVersion> displays the document's <AutoText key="metadata::ex.Title"/> metadata. In this particular set of OAI exported records, titles are filenames of JPEG images, and the filenames are particularly uninformative (for example, 01dla14). You can see them in the <AutoText key="glidict::GUI.Enrich"/> panel if you select an image in <Path>oai &rarr; JCDLPICS &rarr; srcdocs</Path> and check its <AutoText key="metadata::ex.Source"/> and <AutoText key="metadata::ex.Title"/> metadata. The above format statement displays <AutoText key="metadata::ex.dc.Subject"/> metadata instead.</Text>
+</Comment>
+</NumberedItem>
+<NumberedItem>
+<MajorVersion number="2">
 <Text id="0727">Finally, you will have noticed that where the document itself should appear, you see only <AutoText key="perlmodules::BasePlugin.dummy_text" type="quoted"/>. To rectify this, select <AutoText text="DocumentText"/> in the <AutoText key="glidict::CDM.FormatManager.Feature"/> pull-down list and use the following as its format statement (this text is in <Path>doctxt_tweak.txt</Path> in the <Path>format_tweaks</Path> folder mentioned earlier):</Text>
 <Format>&lt;center&gt;&lt;table width=_pagewidth_ border=1&gt;<br/> 
@@ -3414,7 +3457,46 @@
 &nbsp;&nbsp;&lt;tr&gt;&lt;td&gt;Subject:&lt;/td&gt;&lt;td&gt; [ex.dc.Subject]&lt;/td&gt;&lt;/tr&gt;<br/> 
 &nbsp;&nbsp;&lt;tr&gt;&lt;td&gt;Publisher:&lt;/td&gt;&lt;td&gt; [ex.dc.Publisher]&lt;/td&gt;&lt;/tr&gt;<br/> 
-&nbsp;&nbsp;&lt;tr&gt;&lt;td&gt;Rights:&lt;td&gt; [ex.dc.Rights]&lt;/td&gt;&lt;/tr&gt;<br/> 
-&lt;/table&gt;&lt;/center&gt;</Format> 
-<Text id="0730">This format statement alters how the document view is presented. It includes a screen-sized version of the image that hyperlinks back to the original larger version available on the web. Factual information extracted from the image, such as width, height and type, is also displayed.</Text>
+&nbsp;&nbsp;&lt;tr&gt;&lt;td&gt;Rights:&lt;/td&gt;&lt;td&gt; [ex.dc.Rights]&lt;/td&gt;&lt;/tr&gt;<br/> 
+&lt;/table&gt;&lt;/center&gt;</Format>
+</MajorVersion>
+<MajorVersion number="3">
+<Text id="0727">Finally, select <AutoText text="display"/> in the <AutoText key="glidict::CDM.GUI.Formats"/> list and use the following as its format statement:</Text>
+<Format>
+  &lt;gsf:template name=&quot;documentContent&quot;&gt;<br />
+    <Tab n="1"/>&lt;table&gt;<br />
+      <Tab n="2"/>&lt;tr&gt;<br />
+	<Tab n="3"/>&lt;td colspan=&quot;2&quot; align=&quot;center&quot;&gt;<br />
+	    <Tab n="4"/>&lt;a&gt;&lt;xsl:attribute name=&quot;href&quot;&gt;<br />
+		<Tab n="5"/>&lt;gsf:metadata name=&quot;ex.dc.OrigURL&quot;/&gt;<br />
+		<Tab n="5"/>&lt;/xsl:attribute&gt;<br />
+		<Tab n="5"/>&lt;gsf:metadata name=&quot;screenicon&quot;/&gt;<br />
+	    <Tab n="4"/>&lt;/a&gt;<br />
+	<Tab n="3"/>&lt;/td&gt;<br />
+      <Tab n="2"/>&lt;/tr&gt;<br />
+      <Tab n="2"/>&lt;tr&gt;<br />
+        <Tab n="3"/>&lt;td&gt;Caption:&lt;/td&gt;<br />
+        <Tab n="3"/>&lt;td&gt;&lt;i&gt;&lt;gsf:metadata name=&quot;ex.dc.Description&quot;/&gt;&lt;/i&gt;&lt;br/&gt;<br />
+        <Tab n="3"/>&lt;a&gt;&lt;xsl:attribute name=&quot;href&quot;&gt;&lt;gsf:metadata name=&quot;ex.dc.OrigURL&quot;/&gt;&lt;/xsl:attribute&gt;<br />
+	  <Tab n="4"/>original &lt;gsf:metadata name=&quot;ImageWidth&quot;/&gt;x&lt;gsf:metadata name=&quot;ImageHeight&quot;/&gt; &lt;gsf:metadata name=&quot;ImageType&quot;/&gt; available<br />
+	<Tab n="3"/>&lt;/a&gt;<br />
+        <Tab n="3"/>&lt;/td&gt;<br />
+      <Tab n="2"/>&lt;/tr&gt;<br />
+      <Tab n="2"/>&lt;tr&gt;<br />
+        <Tab n="3"/>&lt;td&gt;Subject:&lt;/td&gt;<br />
+        <Tab n="3"/>&lt;td&gt;&lt;gsf:metadata name=&quot;ex.dc.Subject&quot;/&gt;&lt;/td&gt;<br />
+      <Tab n="2"/>&lt;/tr&gt;<br />
+      <Tab n="2"/>&lt;tr&gt;<br />
+        <Tab n="3"/>&lt;td&gt;Publisher:&lt;/td&gt;<br />
+        <Tab n="3"/>&lt;td&gt;&lt;gsf:metadata name=&quot;ex.dc.Publisher&quot;/&gt;&lt;/td&gt;<br />
+      <Tab n="2"/>&lt;/tr&gt;<br />
+      <Tab n="2"/>&lt;tr&gt;<br />
+        <Tab n="3"/>&lt;td&gt;Rights:&lt;/td&gt;<br />
+        <Tab n="3"/>&lt;td&gt;&lt;gsf:metadata name=&quot;ex.dc.Rights&quot;/&gt;&lt;/td&gt;<br />
+      <Tab n="2"/>&lt;/tr&gt;<br />
+    <Tab n="1"/>&lt;/table&gt;<br />
+  &lt;/gsf:template&gt;
+</Format>
+</MajorVersion>
+<Text id="0730">This format statement alters how the document view is presented. It includes a screen-sized version of the image that hyperlinks back to the original larger version available on the web. Factual information extracted from the image, such as width, height and type, is also displayed.<MajorVersion number="3"> It uses XSLT to construct the hyperlink which makes use of the greenstone metadata containing the link to the original image.</MajorVersion></Text>
 </NumberedItem>
 <NumberedItem>