Index: /documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 26072)
+++ /documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 26073)
@@ -2078,5 +2078,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0533d"><b>Rebuild</b> the collection and <b>preview</b> the results. Notice the extra field in the <AutoText key="coredm::_query:textinfield_"/> drop-down menus in the search form. You can do quite complicated queries by searching for words in different fields at the same time.</Text>
+<Text id="0533d"><b>Rebuild</b> the collection and <b>preview</b> the results. Notice the extra field in the <MajorVersion number="2"><AutoText key="coredm::_query:textinfield_"/></MajorVersion><MajorVersion number="3"><AutoText text="in field"/></MajorVersion> drop-down menus in the search form. You can do quite complicated queries by searching for words in different fields at the same time.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2118,13 +2118,15 @@
 <MajorVersion number="3">
 <Format>
-  &lt;gsf:choose-metadata&gt;<br/>
-    <Tab n="1"/>&lt;gsf:metadata name=&quot;dc.Title&quot;/&gt;<br/>
-    <Tab n="1"/>&lt;gsf:metadata name=&quot;exp.Title&quot;/&gt;<br/>
-    <Tab n="1"/>&lt;gsf:metadata name=&quot;ex.dc.Title&quot;/&gt;<br/>
-    <Tab n="1"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br/>
-    <Tab n="1"/>&lt;gsf:default&gt;Untitled&lt;/gsf:default&gt;<br/>
-  &lt;/gsf:choose-metadata&gt;
-</Format>
-The above format statement is found in the <AutoText text="choose-title"/> template defined in the <AutoText text="global"/> format feature, which is included by the <AutoText text="browse"/> format statements.
+&lt;gsf:template name=&quot;choose-title&quot;&gt;<br/>
+  <Tab n="1"/>&lt;gsf:choose-metadata&gt;<br/>
+    <Tab n="2"/>&lt;gsf:metadata name=&quot;dc.Title&quot;/&gt;<br/>
+    <Tab n="2"/>&lt;gsf:metadata name=&quot;exp.Title&quot;/&gt;<br/>
+    <Tab n="2"/>&lt;gsf:metadata name=&quot;ex.dc.Title&quot;/&gt;<br/>
+    <Tab n="2"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br/>
+    <Tab n="2"/>&lt;gsf:default&gt;Untitled&lt;/gsf:default&gt;<br/>
+  <Tab n="1"/>&lt;/gsf:choose-metadata&gt;<br />
+&lt;/gsf:template&gt;
+</Format>
+The above <AutoText text="choose-title"/> template, defined in the <AutoText text="global"/> format features, is included by the <AutoText text="browse"/> format statements.
 </MajorVersion>
 <Text id="0533-11c">Since there is no <AutoText key="metadata::dc.Title"/> metadata and because <AutoText key="metadata::exp.Title"/> comes before <AutoText key="metadata::ex.Title"/>, the exploded titles will be displayed.</Text>
@@ -2137,5 +2139,5 @@
 <Text id="0533-12b">We need to modify the collection design to take note of these changes.</Text>
 <NumberedItem>
-<Text id="0533-13">In the <AutoText key="glidict::CDM.GUI.Indexes"/> section, change the Title index to use <AutoText key="metadata::exp.Title"/>: select the Title index in the <AutoText key="glidict::CDM.IndexManager.Indexes"/> list and click <AutoText key="glidict::CDM.IndexManager.Edit_Index" type="button"/>. Deselect <AutoText key="metadata::dc.Title"/>, <AutoText key="metadata::ex.dc.Title"/> and <AutoText key="metadata::ex.Title"/> in the list of metadata, and select <AutoText key="metadata::exp.Title"/>. Click <AutoText key="glidict::CDM.IndexManager.Replace_Index" type="button"/>.</Text>
+<Text id="0533-13">In the <AutoText key="glidict::CDM.GUI.Indexes"/> section, change the Title index to use <AutoText key="metadata::exp.Title"/>: select the Title index in the <AutoText key="glidict::CDM.IndexManager.Indexes"/> list and click <AutoText key="glidict::CDM.IndexManager.Edit_Index" type="button"/>. Deselect <AutoText key="metadata::dc.Title"/> and <AutoText key="metadata::ex.Title"/> in the list of metadata, and select <AutoText key="metadata::exp.Title"/>. Click <AutoText key="glidict::CDM.IndexManager.Replace_Index" type="button"/>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2149,5 +2151,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0533-15">To explicitly use the <AutoText key="metadata::exp.Title"/> metadata, in the <AutoText key="glidict::CDM.GUI.Classifiers"/> section, change the <AutoText text="dc.Title;ex.Title"/> <AutoText text="List"/> to use <AutoText key="metadata::exp.Title"/> metadata. Double click the <AutoText text="dc.Title;ex.Title"/> <AutoText text="List"/> in the <AutoText key="glidict::CDM.ClassifierManager.Assigned"/> list, and change the <AutoText text="metadata"/> option to use <AutoText key="metadata::exp.Title"/>. Click <AutoText key="glidict::General.OK" type="button"/>. Do the same thing for the Subject <AutoText text="AZCompactList"/>, changing <AutoText key="metadata::dc.Subject"/> to <AutoText key="metadata::exp.Subject"/>.</Text>
+<Text id="0533-15">To explicitly use the <AutoText key="metadata::exp.Title"/> metadata, in the <AutoText key="glidict::CDM.GUI.Classifiers"/> section, change the <MajorVersion number="2"><AutoText text="dc.Title;ex.Title"/></MajorVersion><MajorVersion number="3"><AutoText text="dc.Title;Title"/></MajorVersion>&nbsp;<AutoText text="List"/> to use <AutoText key="metadata::exp.Title"/> metadata. Double click the <MajorVersion number="2"><AutoText text="dc.Title;ex.Title"/></MajorVersion><MajorVersion number="3"><AutoText text="dc.Title;Title"/></MajorVersion>&nbsp;<AutoText text="List"/> in the <AutoText key="glidict::CDM.ClassifierManager.Assigned"/> list, and change the <AutoText text="metadata"/> option to use <AutoText key="metadata::exp.Title"/>. Click <AutoText key="glidict::General.OK" type="button"/>. Do the same thing for the Subject <AutoText text="AZCompactList"/>, changing <AutoText key="metadata::dc.Subject"/> to <AutoText key="metadata::exp.Subject"/>.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2155,5 +2157,8 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0533-16">In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select <AutoText text="VList"/> in the list of assigned format statements.</Text>
+<Text id="0533-16">
+<MajorVersion number="2">In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select <AutoText text="VList"/> in the list of assigned format statements.</MajorVersion>
+<MajorVersion number="3">Switch to the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel to make the following adjustments.</MajorVersion>
+</Text>
 <BulletList>
 <Bullet>
@@ -2165,7 +2170,7 @@
 <Format>
   &lt;gsf:choose-metadata&gt;<br/>
-    <Tab n="1"/>&lt;gsf:metadata name=&quot;dc.Title&quot;/&gt;<br/>
+    <Tab n="1"/><highlight>&lt;gsf:metadata name=&quot;dc.Title&quot;/&gt;</highlight><br/>
     <Tab n="1"/>&lt;gsf:metadata name=&quot;exp.Title&quot;/&gt;<br/>
-    <Tab n="1"/>&lt;gsf:metadata name=&quot;ex.dc.Title&quot;/&gt;<br/>
+    <Tab n="1"/><highlight>&lt;gsf:metadata name=&quot;ex.dc.Title&quot;/&gt;</highlight><br/>
     <Tab n="1"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br/>
     <Tab n="1"/>&lt;gsf:default&gt;Untitled&lt;/gsf:default&gt;<br/>
@@ -2190,10 +2195,12 @@
 <Text id="0533-16b-3">There are no source or thumb icons, so in the <AutoText text="documentNode"/> and <AutoText text="classifierNode"/> templates of the <AutoText text="browse"/> format feature, remove the occurrences of the following section:</Text>
 <Format>
-  &lt;gsf:link type=&quot;source&quot;&gt;<br />
-    <Tab n="1"/>&lt;gsf:choose-metadata&gt;<br />
-      <Tab n="2"/>&lt;gsf:metadata name=&quot;thumbicon&quot;/&gt;<br />
-      <Tab n="2"/>&lt;gsf:metadata name=&quot;srcicon&quot;/&gt;<br />
-    <Tab n="1"/>&lt;/gsf:choose-metadata&gt;<br />
-  &lt;/gsf:link&gt;<br />
+&lt;td valign="top"&gt;<br />
+  <Tab n="1"/>&lt;gsf:link type=&quot;source&quot;&gt;<br />
+    <Tab n="2"/>&lt;gsf:choose-metadata&gt;<br />
+      <Tab n="3"/>&lt;gsf:metadata name=&quot;thumbicon&quot;/&gt;<br />
+      <Tab n="3"/>&lt;gsf:metadata name=&quot;srcicon&quot;/&gt;<br />
+    <Tab n="2"/>&lt;/gsf:choose-metadata&gt;<br />
+  <Tab n="1"/>&lt;/gsf:link&gt;<br />
+&lt;/td&gt;
 </Format>
 </MajorVersion>
@@ -2232,5 +2239,5 @@
 </MajorVersion>
 <MajorVersion number="3">
-<Text id="0533-19-3">The record Title will be displayed as part of the default <AutoText text="documentContent"/> format, so we override the <AutoText text="documentHeading"/> format statement (which displays the Title) with one that does not do anything. Go to the <AutoText text="display"/> format feature in the <AutoText key="glidict::CDM.FormatManager.Editor"/> and add the following:</Text>
+<Text id="0533-19-3">The record Title will be displayed as part of the default <AutoText text="documentContent"/> format, so we override the <AutoText text="documentHeading"/> format statement (which displays the Title) with one that does not do anything. Go to the <AutoText text="display"/> format feature in the <AutoText key="glidict::CDM.FormatManager.Editor"/> and add the following just after the <Format>&lt;gsf:option name=&quot;TOC&quot; value=&quot;true&quot;/&gt;</Format>:</Text>
 <Format>&lt;gsf:template name=&quot;documentHeading&quot;/&gt;</Format>
 </MajorVersion>
@@ -2238,5 +2245,5 @@
 <NumberedItem>
 <MajorVersion number="2">
-<Text id="0533-20">Next, edit the <AutoText text="DocumentText"/> format statement. Delete the contents and replace it with</Text>
+<Text id="0533-20">Next, edit the <AutoText text="DocumentText"/> format statement. Delete the contents and replace it with the following (which can be copied from <Path>sample_files &rarr; marc &rarr; format_tweaks &rarr; document_text.txt</Path>).</Text>
 <Format>
 &lt;table&gt;<br/>
@@ -2248,5 +2255,5 @@
 </MajorVersion>
 <MajorVersion number="3">
-<Text id="0533-20-3">Next, override the default <AutoText text="documentContent"/> behaviour by creating a format statement for this. Still in the <AutoText text="display"/> format features, add:</Text>
+<Text id="0533-20-3">Next, override the default <AutoText text="documentContent"/> behaviour by creating a format statement for this. Still in the <AutoText text="display"/> format features, after the <AutoText text="documentHeading"/>, add the following format statement (which can be copied from <Path>sample_files &rarr; marc &rarr; format_tweaks &rarr; document_content.txt</Path>):</Text>
 <Format>
   &lt;gsf:template name=&quot;documentContent&quot;&gt;<br />
@@ -2302,9 +2309,9 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="is-12"><b>Rebuild</b> and <b>preview</b> the collection. </Text>
+<Text id="is-11"><b>Rebuild</b> and <b>preview</b> the collection. </Text>
 </NumberedItem>
 <NumberedItem>
 <MajorVersion number="2">
-<Text id="is-11">In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, change the <AutoText text="VList"/> format statement to display <AutoText text="Photographer"/> and <AutoText text="Notes"/> metadata. Change it to look like:</Text>
+<Text id="is-12">In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, change the <AutoText text="VList"/> format statement to display <AutoText text="Photographer"/> and <AutoText text="Notes"/> metadata. Change it to look like:</Text>
 <Format>
 &lt;td valign=top&gt;[link][icon][/link]&lt;/td&gt;<br/>
@@ -2313,5 +2320,5 @@
 </MajorVersion>
 <MajorVersion number="3">
-<Text id="is-11">In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, change the <AutoText text="browse"/> format statement to display <AutoText text="Photographer"/> and <AutoText text="Notes"/> metadata. Change its <AutoText text="documentNode"/> template to look like:</Text>
+<Text id="is-12-3">In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, change the <AutoText text="browse"/> format statement to display <AutoText text="Photographer"/> and <AutoText text="Notes"/> metadata. Change its <AutoText text="documentNode"/> template to look like:</Text>
 <Format>
   &lt;gsf:template match=&quot;documentNode&quot;&gt;<br />
@@ -2329,9 +2336,10 @@
   &lt;/gsf:template&gt;
 </Format>
+<Text id="is-12a-3">The above format can be copied from <Path>sample_files &rarr; isis &rarr; format_tweaks &rarr; browse_tweak.txt</Path>. If you want search results to be displayed in a similar manner, make the same changes to the <AutoText text="documentNode"/> template of the <AutoText text="search"/> format features too.</Text>
 </MajorVersion>
 </NumberedItem>
 <MajorVersion number="2">
 <NumberedItem>
-<Text id="is-11a">Make fielded searching the default by changing the <AutoText text="SearchTypes"/> format statement to <AutoText text="form,plain"/> (instead of <AutoText text="plain,form"/>).</Text>
+<Text id="is-12b">Make fielded searching the default by changing the <AutoText text="SearchTypes"/> format statement to <AutoText text="form,plain"/> (instead of <AutoText text="plain,form"/>).</Text>
 </NumberedItem>
 </MajorVersion>
@@ -2348,5 +2356,6 @@
 <Text id="is-16">Finally, lets link to the raw record, which is stored as <AutoText text="ISISRawRecord"/> metadata. 
 <MajorVersion number="2">Edit the <AutoText text="DocumentText"/> format statement to look like the following. (This format can be copied from <Path>sample_files &rarr; isis &rarr; format_tweaks &rarr; document_text.txt</Path>.)</MajorVersion>
-<MajorVersion number="3">Add the following to the <AutoText text="display"/> format statement, to adjust the <AutoText text="documentContent"/>. This now makes use of a predefined Greenstone javascript function to toggle between displaying and hiding the raw record.</MajorVersion></Text>
+<MajorVersion number="3">Add the following to the <AutoText text="display"/> format statement (which can be copied from <Path>sample_files &rarr; isis &rarr; format_tweaks &rarr; document_content.txt</Path>), to adjust the <AutoText text="documentContent"/>. This now makes use of a predefined Greenstone javascript function to toggle between displaying and hiding the raw record.</MajorVersion>
+</Text>
 <MajorVersion number="2">
 <Format>
@@ -3342,5 +3351,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0707">During the copy operation, a popup window appears asking whether to add <AutoText text="OAIPlugin" /> to the list of plug-ins used in the collection, because the Librarian Interface has not found an existing plug-in that can handle this file type. Press the <AutoText key="glidict::CDM.PlugInManager.QuickAdd" type="button"/> button to include it.</Text>
+<Text id="0707">During the copy operation, a popup window may appear asking whether to add <AutoText text="OAIPlugin" /> to the list of plug-ins used in the collection, because the Librarian Interface has not found an existing plug-in that can handle this file type. Press the <AutoText key="glidict::CDM.PlugInManager.QuickAdd" type="button"/> button to include it.</Text>
 <Text id="0707a">The files for this collection consist of a set of images (in <Path>JCDLPICS &rarr; srcdocs</Path>) and a set of OAI records (in <Path>JCDLPICS</Path>) which contain metadata for the images.</Text>
 </NumberedItem>
@@ -3396,5 +3405,5 @@
 </MajorVersion>
 <MajorVersion number="3">
-<Text id="0719">In the <AutoText key="glidict::GUI.Format"/> panel, select <AutoText key="glidict::CDM.GUI.Formats"/>. First, in the <AutoText text="browse" /> format statement, replace the templates for <AutoText text="documentNode"/> and <AutoText text="classifierNode"/> for <AutoText text="VList"/>s with the following.</Text>
+<Text id="0719">In the <AutoText key="glidict::GUI.Format"/> panel, select <AutoText key="glidict::CDM.GUI.Formats"/>. First, in the <AutoText text="browse" /> format statement, replace the templates for <AutoText text="documentNode"/> and <AutoText text="classifierNode"/> for <AutoText text="VList"/>s with the following (which can be copied from <Path>sample_files &rarr; oai &rarr; format_tweaks &rarr; browse_tweak.txt</Path>).</Text>
 <Format>
   &lt;gsf:template match=&quot;documentNode&quot;&gt;<br />
@@ -3429,5 +3438,8 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0722">Next, select <MajorVersion number="2"><AutoText text="DocumentHeading"/></MajorVersion><MajorVersion number="3">the <AutoText text="documentHeading"/> in the <AutoText text="display"/> format statement </MajorVersion> from the <AutoText key="glidict::CDM.GUI.Formats"/> list and change its format statement to:</Text>
+<Text id="0722">
+<MajorVersion number="2">Next, select <AutoText text="DocumentHeading"/> from the <AutoText key="glidict::CDM.GUI.Formats"/> list and change its format statement to:</MajorVersion>
+<MajorVersion number="3">Next, select the <AutoText text="display"/> format statement from the <AutoText key="glidict::CDM.GUI.Formats"/> list and add the following to create a custom <AutoText text="documentHeading"/> format statement:</MajorVersion>
+</Text>
 <MajorVersion number="2">
 <Format>&lt;h3&gt;[ex.dc.Subject]&lt;/h3&gt;</Format> 
@@ -3436,7 +3448,7 @@
 <Format>
   &lt;gsf:template name=&quot;documentHeading&quot;&gt;<br />
-    &lt;h3&gt;<br />
-      &lt;gsf:metadata name=&quot;ex.dc.Subject&quot;/&gt;<br />
-    &lt;/h3&gt;<br />
+    <Tab n="1"/>&lt;h3&gt;<br />
+    <Tab n="2"/>&lt;gsf:metadata name=&quot;ex.dc.Subject&quot;/&gt;<br />
+    <Tab n="1"/>&lt;/h3&gt;<br />
   &lt;/gsf:template&gt;
 </Format> 
@@ -3461,5 +3473,5 @@
 </MajorVersion>
 <MajorVersion number="3">
-<Text id="0727">Finally, select <AutoText text="display"/> in the <AutoText key="glidict::CDM.GUI.Formats"/> list and use the following as its format statement:</Text>
+<Text id="0727">Still in the <AutoText text="display"/> format in the <AutoText key="glidict::CDM.GUI.Formats"/> list, add the following (which can be copied from <Path>sample_files &rarr; oai &rarr; format_tweaks &rarr; document_content.txt</Path>) to create a custom <AutoText text="documentContent"/> format statement:</Text>
 <Format>
   &lt;gsf:template name=&quot;documentContent&quot;&gt;<br />