Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 26080)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 26081)
@@ -3039,5 +3039,9 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0687">Now we change the format statement for <AutoText key="coredm::_Global:labelTitle_" type="italics"/> to display more information about the documents. In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select the <AutoText text="dc.Title;ex.Title"/> classifier (CL1) in the <AutoText key="glidict::CDM.FormatManager.Feature"/> list, and <AutoText text="VList"/> in the <AutoText key="glidict::CDM.FormatManager.Part"/> list. Click <AutoText key="glidict::CDM.FormatManager.Add" type="button"/> to add this format statement to your collection. Delete the contents of the <AutoText key="glidict::CDM.FormatManager.Editor"/> box, and add the following text. (This format statement can be copied and pasted from the file <Path>sample_files &rarr; niupepa &rarr; formats &rarr; titles_tweak.txt</Path>.)</Text>
+<Text id="0687">Now we change the format statement for <AutoText key="coredm::_Global:labelTitle_" type="italics"/> to display more information about the documents. In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select the <AutoText text="dc.Title;ex.Title"/> classifier (CL1) in the <AutoText key="glidict::CDM.FormatManager.Feature"/> list<MajorVersion number="2">, and <AutoText text="VList"/> in the <AutoText key="glidict::CDM.FormatManager.Part"/> list.</MajorVersion> Click <AutoText key="glidict::CDM.FormatManager.Add" type="button"/> to add this format statement to your collection. 
+<MajorVersion number="2">Delete the contents of the <AutoText key="glidict::CDM.FormatManager.Editor"/> box, and add the following text. (This format statement can be copied and pasted from the file <Path>sample_files &rarr; niupepa &rarr; formats &rarr; titles_tweak.txt</Path>.)</MajorVersion>
+<MajorVersion number="3">Edit the contents of the <AutoText text="browse"/> format statement by removing the following in the <AutoText text="documentNode"/> template:</MajorVersion>
+</Text>
+<MajorVersion number="2">
 <Format>
 &lt;td valign="top"&gt;[link][icon][/link]&lt;/td&gt;<br/>
@@ -3047,8 +3051,47 @@
 &lt;/td&gt;
 </Format>
+</MajorVersion>
+<MajorVersion number="3">
+<Format>
+&lt;td valign=&quot;top&quot;&gt;<br />
+  <Tab n="1"/>&lt;gsf:link type=&quot;source&quot;&gt;<br />
+    <Tab n="2"/>&lt;gsf:choose-metadata&gt;<br />
+      <Tab n="3"/>&lt;gsf:metadata name=&quot;thumbicon&quot;/&gt;<br />
+      <Tab n="3"/>&lt;gsf:metadata name=&quot;srcicon&quot;/&gt;<br />
+    <Tab n="2"/>&lt;/gsf:choose-metadata&gt;<br />
+  <Tab n="1"/>&lt;/gsf:link&gt;<br />
+&lt;/td&gt;<br />
+&lt;td valign=&quot;top&quot;&gt;<br />
+  <Tab n="1"/>&lt;gsf:link type=&quot;document&quot;&gt;<br />
+    <Tab n="2"/>&lt;xsl:call-template name=&quot;choose-title&quot;/&gt;<br />
+  <Tab n="1"/>&lt;/gsf:link&gt;<br />
+  <Tab n="1"/>&lt;gsf:switch&gt;<br />
+    <Tab n="2"/>&lt;gsf:metadata name=&quot;Source&quot;/&gt;<br />
+    <Tab n="2"/>&lt;gsf:when test=&quot;exists&quot;&gt;<br />
+      <Tab n="3"/>&lt;br/&gt;<br />
+      <Tab n="3"/>&lt;i&gt;<br />
+      <Tab n="3"/>&lt;gsf:metadata name=&quot;Source&quot;/&gt;)<br />
+      <Tab n="3"/>&lt;/i&gt;<br />
+    <Tab n="2"/>&lt;/gsf:when&gt;<br />
+  <Tab n="1"/>&lt;/gsf:switch&gt;<br />
+&lt;/td&gt;
+</Format>
+<Text id="0687-3a">In its place, insert the following (which can be copied from <Path>sample_files &rarr; niupepa &rarr; formats &rarr; titles_tweak_gs3.txt</Path>):</Text>
+<Format>
+  &lt;td valign=&quot;top&quot;&gt;<br />
+    <Tab n="1"/>Volume:&lt;gsf:metadata name=&quot;Volume&quot;/&gt; Number:&lt;gsf:metadata name=&quot;Number&quot;/&gt; Date:&lt;gsf:metadata format=&quot;formatDate&quot; name=&quot;Date&quot;/&gt;<br />
+  &lt;/td&gt;<br />
+</Format>
+<Text id="0687-3b">Then, in <AutoText text="classifierNode"/> template for <AutoText text="VList"/>s, replace the contents of the final <Format>&lt;td&gt;</Format> table cell element with the following which can also be copied from the file <Path>titles_tweak_gs3.txt</Path>:</Text>
+<Format>
+  &lt;td valign=&quot;top&quot;&gt;<br />
+    <Tab n="1"/>&lt;xsl:call-template name=&quot;choose-title&quot;/&gt; (&lt;gsf:metadata name=&quot;numleafdocs&quot;/&gt;)<br />
+  &lt;/td&gt;<br />
+</Format>
+</MajorVersion>
 </NumberedItem>
 <NumberedItem>
 <Text id="0690a">Refresh in the web browser to view the new <AutoText key="coredm::_Global:labelTitle_" type="italics"/> list.</Text>
-<Text id="0687c">As a consequence of using the <AutoText text="bookshelf_type"/> option of the <AutoText text="List"/> classifier, bookshelf icons appear when titles are browsed. This revised format statement has the effect of specifying in brackets how many items are contained within a bookshelf. It works by exploiting the fact that only bookshelf icons define <Format>[numleafdocs]</Format> metadata. For document nodes, Title is not displayed. Instead, Volume, Number and Date information are displayed.</Text>
+<Text id="0687c">As a consequence of using the <AutoText text="bookshelf_type"/> option of the <AutoText text="List"/> classifier, bookshelf icons appear when titles are browsed. This revised format statement has the effect of specifying in brackets how many items are contained within a bookshelf<MajorVersion number="3">, for classifier nodes</MajorVersion>. <MajorVersion number="2">It works by exploiting the fact that only bookshelf icons define <Format>[numleafdocs]</Format> metadata.</MajorVersion> For document nodes, Title is not displayed. Instead, Volume, Number and Date information are displayed.</Text>
 </NumberedItem>
 <Heading>
@@ -3058,11 +3101,36 @@
 <Text id="0686">Back in the <AutoText key="glidict::GUI.Design"/> panel, under the <AutoText key="glidict::CDM.GUI.Classifiers"/> section, add a <AutoText text="DateList" /> classifier, leaving its <AutoText text="metadata"/> option set to <AutoText key="metadata::ex.Date"/>.</Text>
 </NumberedItem>
+<MajorVersion number="3">
+<NumberedItem>
+<Text id="0686b-3">In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select <AutoText text="DateList" /> in the <AutoText key="glidict::CDM.FormatManager.Feature"/> list, and click <AutoText key="glidict::CDM.FormatManager.Add" type="button"/> to add this format statement to your collection. Replace the final <Format>&lt;td&gt;</Format> table cell element of the new <AutoText text="DateList"/>'s <AutoText text="VList classifierNode"/> template with:</Text>
+<Format>
+  &lt;td valign=&quot;top&quot;&gt;<br />
+    <Tab n="1"/>&lt;xsl:call-template name=&quot;choose-date&quot;/&gt;<br />
+  &lt;/td&gt;
+</Format>
+</NumberedItem>
+<NumberedItem>
+<Text id="0686b-3a">The above makes reference to the &quot;choose-date&quot; template which we're about to create: select the <AutoText text="global"/> format statement in the <AutoText key="glidict::CDM.GUI.Formats"/> and append the following definition for the &quot;choose-date&quot; template (which can be copied from <Path>sample_files &rarr; niupepa &rarr; formats &rarr; global_tweak_gs3.txt</Path>):</Text>
+<Format>
+  &lt;gsf:template name=&quot;choose-date&quot;&gt;<br />
+    <Tab n="1"/>&lt;gsf:choose-metadata&gt;<br />
+      <Tab n="2"/>&lt;gsf:metadata format=&quot;formatDate&quot; name=&quot;dc.Date&quot;/&gt;<br />
+      <Tab n="2"/> &lt;gsf:metadata format=&quot;formatDate&quot; name=&quot;exp.Date&quot;/&gt;<br />
+      <Tab n="2"/>&lt;gsf:metadata format=&quot;formatDate&quot; name=&quot;ex.dc.Date&quot;/&gt;<br />
+      <Tab n="2"/>&lt;gsf:metadata format=&quot;formatDate&quot; name=&quot;Date&quot;/&gt;<br />
+      <Tab n="2"/>&lt;gsf:default&gt;undated&lt;/gsf:default&gt;<br />
+    <Tab n="1"/>&lt;/gsf:choose-metadata&gt;<br />
+  &lt;/gsf:template&gt;
+</Format>
+</NumberedItem>
+</MajorVersion>
 <NumberedItem>
 <Text id="0686b"><b>Build</b> the collection, and <b>preview</b> the <AutoText key="coredm::_Global:labelDate_" type="italics"/> list.</Text>
 </NumberedItem>
 <NumberedItem>
-<Text id="0691">The <AutoText key="coredm::_Global:labelDate_" type="italics"/> list groups documents by date. Greenstone's internal date format is YYYYMMDD, for example 18580601, and this is crucial for the <AutoText text="DateList" /> classifier to correctly parse date metadata and generate an ordered date list. However, the date has been made to look nice by adding a <AutoText text="[format:]"/> macro to Date metadata in the format statement.</Text>
-</NumberedItem>
-<NumberedItem>
+<Text id="0691">The <AutoText key="coredm::_Global:labelDate_" type="italics"/> list groups documents by date. Greenstone's internal date format is YYYYMMDD, for example 18580601, and this is crucial for the <AutoText text="DateList" /> classifier to correctly parse date metadata and generate an ordered date list. However, the date has been made to look nice by adding a <MajorVersion number="2"><AutoText text="[format:]"/> macro</MajorVersion><MajorVersion number="3">&quot;<AutoText text="format=formatDate"/>&quot; attribute</MajorVersion> to Date metadata in the format statement.</Text>
+</NumberedItem>
+<NumberedItem>
+<MajorVersion number="2">
 <Text id="0691a">In the <AutoText key="glidict::CDM.GUI.Formats"/> section of the <AutoText key="glidict::GUI.Format"/> panel, select <AutoText key="glidict::CDM.FormatManager.AllFeatures"/>  in the <AutoText key="glidict::CDM.FormatManager.Feature"/> list, and <AutoText text="DateList" /> in the <AutoText key="glidict::CDM.FormatManager.Part"/> list. Click <AutoText key="glidict::CDM.FormatManager.Add" type="button"/> to add this format statement to your collection. Replace the last line</Text>
 <Format>
@@ -3073,9 +3141,30 @@
 &lt;td&gt;{Or}{[dc.Date],[exp.Date],[ex.Date]}&lt;/td&gt;
 </Format>
+</MajorVersion>
+<MajorVersion number="3">Back in the <AutoText text="global"/> format statement, edit the display of the date metadata to remove the special date-formatting, so that it looks like:
+<Format>
+  &lt;gsf:template name=&quot;choose-date&quot;&gt;<br />
+    <Tab n="1"/>&lt;gsf:choose-metadata&gt;<br />
+      <Tab n="2"/>&lt;gsf:metadata name=&quot;dc.Date&quot;/&gt;<br />
+      <Tab n="2"/> &lt;gsf:metadata name=&quot;exp.Date&quot;/&gt;<br />
+      <Tab n="2"/>&lt;gsf:metadata name=&quot;ex.dc.Date&quot;/&gt;<br />
+      <Tab n="2"/>&lt;gsf:metadata name=&quot;Date&quot;/&gt;<br />
+      <Tab n="2"/>&lt;gsf:default&gt;undated&lt;/gsf:default&gt;<br />
+    <Tab n="1"/>&lt;/gsf:choose-metadata&gt;<br />
+  &lt;/gsf:template&gt;
+</Format>
+</MajorVersion>
 <Text id="0691c">Refresh in the web browser to view the new <AutoText key="coredm::_Global:labelDate_" type="italics"/> list. The dates are now shown in internal format. </Text>
 </NumberedItem>
 <NumberedItem>
-<Text id="0691d">Change the format statement back to reinstate the nicely formatted dates. This can be done by selecting <AutoText text="DateList"/> in assigned format statements panel and clicking &lt;<AutoText text="Reset to Default"/>&gt;</Text>
-</NumberedItem>
+<Text id="0691d">Change the format statement back to reinstate the nicely formatted dates. 
+<MajorVersion number="2">
+This can be done by selecting <AutoText text="DateList"/> in assigned format statements panel and clicking &lt;<AutoText text="Reset to Default"/>&gt;.
+</MajorVersion>
+<MajorVersion number="3">
+This can be done by selecting <AutoText text="global"/> in assigned format statements panel and clicking &lt;<AutoText text="Undo"/>&gt; a few times.</MajorVersion>
+</Text>
+</NumberedItem>
+<MajorVersion number="2">
 <Heading>
 <Text id="0694">Displaying scanned images and suppressing dummy text</Text>
@@ -3107,4 +3196,5 @@
 <Text id="0698c"><b>Preview</b> the collection and view one of the <AutoText text="Te Waka o Te Iwi"/> documents. The line <AutoText key="perlmodules::BasePlugin.dummy_text" type="quoted"/> should now be gone.</Text>
 </NumberedItem>
+</MajorVersion>
 <Heading>
 <Text id="0690k">Searching at page level</Text>
@@ -3114,5 +3204,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0690d">Go to the <AutoText key="glidict::CDM.GUI.Indexes"/> section of the <AutoText key="glidict::GUI.Design"/> panel. Remove the <AutoText key="metadata::ex.Source"/> index. Check the <AutoText key="glidict::CDM.LevelManager.Section"/> checkbox to build the indexes on section level as well as document level. Make section level the default by selecting its <AutoText key="glidict::CDM.LevelManager.Default"/> radio button.</Text>
+<Text id="0690d">Go to the <AutoText key="glidict::CDM.GUI.Indexes"/> section of the <AutoText key="glidict::GUI.Design"/> panel. Remove the <AutoText key="metadata::ex.Source"/> index and<MajorVersion number="3">, if not already the case,</MajorVersion> check the <AutoText key="glidict::CDM.LevelManager.Section"/> checkbox to build the indexes on section level as well as document level. Make section level the default by selecting its <AutoText key="glidict::CDM.LevelManager.Default"/> radio button.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3121,6 +3211,7 @@
 <NumberedItem>
 <Text id="0690m"><b>Build</b> and <b>preview</b> the collection.</Text>
-<Text id="0690d-2">Compare searching at "newspaper" level with searching at "page" level. A useful search term for this collection is <AutoText text="aroha" type="quoted"/>.</Text>
-</NumberedItem>
+<Text id="0690d-2"><MajorVersion number="3">Choose <AutoText text="form search"/>. </MajorVersion>Compare searching at "newspaper" level with searching at "page" level. A useful search term for this collection is <AutoText text="aroha" type="quoted"/>.</Text>
+</NumberedItem>
+<MajorVersion number="2">
 <Heading>
 <Text id="0690-tidy">Tidying up search results</Text>
@@ -3145,12 +3236,19 @@
 <Text id="0690g"><b>Preview</b> the collection. </Text>
 </NumberedItem>
-<Comment>
-<Text id="0690h">You might notice that newspaper level search results only display the newspaper Title, and not any volume information, while page level search results only show a large scan of the newspaper page, the Title of the page (the page number), and not the Title of the newspaper. We'll modify the format statement to show Volume and Number information, and for page results, the newspaper title as well as the page number.</Text>
-</Comment>
-<NumberedItem>
-<Text id="0690h-1">In the <AutoText key="glidict::CDM.GUI.Formats"/> section, select <AutoText text="Search"/> in <AutoText key="glidict::CDM.FormatManager.Feature"/>, and <AutoText text="VList"/> in <AutoText key="glidict::CDM.FormatManager.Part"/>. Click <AutoText key="glidict::CDM.FormatManager.Add" type="button"/> to add this format to the collection. The previous changes modified <AutoText text="VList"/>, so they will apply to all <AutoText text="VList"/>s that don't have specific format statements. These next changes are made to <AutoText text="SearchVList"/> so will only apply to search results. </Text>
-<Text id="0690i">The extracted Title for the current section is specified as <Format>[ex.Title]</Format> while the Title for the parent section is <Format>[parent:ex.Title]</Format>. Since the same <AutoText text="SearchVList"/> format statement is used when searching both whole newspapers and newspaper pages, we need to make sure it works in both cases.</Text>
+</MajorVersion>
+<Comment>
+<Text id="0690h">You might notice that newspaper level search results only display the newspaper Title, and not any volume information, while page level search results only show <MajorVersion number="2">a large scan of the newspaper page, </MajorVersion>the Title of the page (the page number), and not the Title of the newspaper. We'll modify the format statement to show Volume and Number information, and for page results, the newspaper title as well as the page number.</Text>
+</Comment>
+<NumberedItem>
+<Text id="0690h-1">In the <AutoText key="glidict::CDM.GUI.Formats"/> section, select <AutoText text="Search"/> in <AutoText key="glidict::CDM.FormatManager.Feature"/><MajorVersion number="3"> to adjust how search results are displayed.</MajorVersion><MajorVersion number="2">, and <AutoText text="VList"/> in <AutoText key="glidict::CDM.FormatManager.Part"/>. Click <AutoText key="glidict::CDM.FormatManager.Add" type="button"/> to add this format to the collection. The previous changes modified <AutoText text="VList"/>, so they will apply to all <AutoText text="VList"/>s that don't have specific format statements. These next changes are made to <AutoText text="SearchVList"/> so will only apply to search results. </MajorVersion></Text>
+<Text id="0690i">The extracted Title for the current section is specified as <Format><MajorVersion number="2">[ex.Title]</MajorVersion><MajorVersion number="3">&lt;gsf:metadata name=&quot;Title&quot;/&gt;</MajorVersion></Format> while the Title for the parent section is <Format><MajorVersion number="2">[parent:ex.Title]</MajorVersion><MajorVersion number="3">&lt;gsf:metadata name=&quot;Title&quot; select=&quot;parent&quot;/&gt;</MajorVersion></Format>. Since the same <AutoText text="SearchVList"/> format statement is used when searching both whole newspapers and newspaper pages, we need to make sure it works in both cases.</Text>
+<MajorVersion number="2">
 <Text id="0690j">Set the format statement to the following text (it can be copied and pasted from the file <Path>sample_files &rarr; niupepa &rarr; formats &rarr; search_tweak.txt</Path>):</Text>
-<Format>
+</MajorVersion>
+<MajorVersion number="3">
+<Text id="0690j-3">Replace the lines comprising the final <Format>&lt;td&gt;</Format> table cell element with the following format statement (it can be copied and pasted from the file <Path>sample_files &rarr; niupepa &rarr; formats &rarr; search_tweak_gs3.txt</Path>):</Text>
+</MajorVersion>
+<Format>
+<MajorVersion number="2">
 &lt;td valign="top"&gt;[link][icon][/link]&lt;/td&gt;<br/>
 &lt;td valign="top"&gt;<br/>
@@ -3159,4 +3257,26 @@
 &lt;br/&gt;&lt;i&gt;({Or}{[format:parent:ex.Date],[format:ex.Date],undated})&lt;/i&gt;&lt;/td&gt;<br/>
 &lt;/td&gt;
+</MajorVersion>
+<MajorVersion number="3">
+  &lt;td&gt;<br />
+      <Tab n="1"/>&lt;gsf:switch&gt;<br />
+        <Tab n="2"/>&lt;gsf:metadata name=&quot;Title&quot; select=&quot;parent&quot;/&gt;<br />
+        <Tab n="2"/>&lt;gsf:when test=&quot;exists&quot;&gt;<br />
+		<Tab n="3"/>&lt;gsf:metadata name=&quot;Title&quot; select=&quot;parent&quot;/&gt; Volume:&lt;gsf:metadata name=&quot;Volume&quot; select=&quot;parent&quot;/&gt; Number:&lt;gsf:metadata name=&quot;Number&quot; select=&quot;parent&quot;/&gt; - Page:&lt;gsf:metadata name=&quot;Title&quot;/&gt;<br />
+	<Tab n="2"/>&lt;/gsf:when&gt;<br />
+        <Tab n="2"/>&lt;gsf:otherwise&gt;<br />
+		<Tab n="3"/>&lt;gsf:metadata name=&quot;Title&quot;/&gt; Volume:&lt;gsf:metadata name=&quot;Volume&quot;/&gt; Number:&lt;gsf:metadata name=&quot;Number&quot;/&gt;<br />
+	<Tab n="2"/>&lt;/gsf:otherwise&gt;<br />
+      <Tab n="1"/>&lt;/gsf:switch&gt;<br />
+      <Tab n="1"/>&lt;br/&gt;<br />
+      <Tab n="1"/>&lt;i&gt;<br />
+        <Tab n="2"/>&lt;gsf:choose-metadata&gt;<br />
+          <Tab n="3"/>&lt;gsf:metadata name=&quot;Date&quot; select=&quot;parent&quot; format=&quot;formatDate&quot; /&gt;<br />
+          <Tab n="3"/>&lt;gsf:metadata name=&quot;Date&quot; format=&quot;formatDate&quot; /&gt;<br />
+          <Tab n="3"/>&lt;gsf:default&gt;undated&lt;/gsf:default&gt;<br />
+        <Tab n="2"/>&lt;/gsf:choose-metadata&gt;<br />
+      <Tab n="1"/>&lt;/i&gt;<br />
+  &lt;/td&gt;
+</MajorVersion>
 </Format>
 <Text id="0690l"><b>Preview</b> the search results. Items display newspaper title, Volume, Number and Date, and pages also display the page number.</Text>
@@ -3248,8 +3368,8 @@
 1:images/12_3_6_1.gif:text/12_3_6_1.txt
 </Format>
-<Text id="sc16">Note that if there is no text file, you can leave that space blank. You need to add a line for each page in the document. Make sure you increment the page number for each line.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="sc17">Save the file using <b>Filename</b> <AutoText text="12_3_6.item" type="italics"/>, and save as a plain text document. (If you are using Windows, make sure the file isn't saved as <AutoText text="12_3_6.item.txt" type="italics"/>.) Back in the <AutoText key="glidict::GUI.Gather"/> panel of the Librarian Interface, locate the new file in the <b>Workspace</b> tree, and drag it into the collection, adding it to the <AutoText text="12"/> folder.</Text>
+<Text id="sc16">Note that if there is no text file, you can leave that space blank. You need to add a line for each page in the document. Make sure you increment the page number as well as the image number for each line.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="sc17">Save the file using <b>Filename</b> <AutoText text="12_3_6.item" type="italics"/>, and save as a plain text document. (If you are using Windows, make sure the file doesn't accidentally end up getting saved as <AutoText text="12_3_6.item.txt" type="italics"/>.) Back in the <AutoText key="glidict::GUI.Gather"/> panel of the Librarian Interface, locate the new file in the <b>Workspace</b> tree, and drag it into the collection, adding it to the <AutoText text="12"/> folder.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3268,6 +3388,7 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="sc24"><b>Build</b> and <b>preview</b> the collection. The xml style items have been included, but the document display for these items is not very nice.</Text>
-</NumberedItem>
+<Text id="sc24"><b>Build</b> and <b>preview</b> the collection. The xml style items have been included<MajorVersion number="2">, but the document display for these items is not very nice</MajorVersion>.</Text>
+</NumberedItem>
+<MajorVersion number="2">
 <Heading>
 <Text id="sc24a">Using <AutoText text="process_exp"/> to control document processing</Text>
@@ -3329,4 +3450,5 @@
 <Text id="sc35"><b>Preview</b> the collection. View some of the documents&mdash;once you have reached a newspaper page, you should get fullsize, preview and text options.</Text>
 </NumberedItem>
+</MajorVersion>
 </Content>
 </Tutorial>