Index: documentation/trunk/tutorials/xml-source/tutorial_en.xml
===================================================================
--- documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 26098)
+++ documentation/trunk/tutorials/xml-source/tutorial_en.xml	(revision 26101)
@@ -1045,5 +1045,6 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="fw-22-3">You can change the separator between the authors. Modify the format statement, and replace <Format>&lt;gsf:metadata name=&quot;dc.Creator&quot; /&gt;</Format> with <Format>&lt;gsf:metadata name=&quot;dc.Creator&quot; separator=&quot;&amp;lt;br/&amp;gt;&quot; /&gt;</Format>. This will add a new line after each author (<Format>&amp;lt;br/&amp;gt;</Format> is the escaped version of <Format>&lt;br/&gt;</Format> which specifies a line break in HTML and XML). Preview the <AutoText key="coredm::_Global:labelCreator_" type="italics"/> list.</Text>
+<MajorVersion number="2"><Text id="fw-22-3">You can change the separator between the authors. Modify the format statement, and replace <Format>&lt;gsf:metadata name=&quot;dc.Creator&quot; /&gt;</Format> with <Format>&lt;gsf:metadata name=&quot;dc.Creator&quot; separator=&quot;&amp;lt;br/&amp;gt;&quot; /&gt;</Format>. This will add a new line after each author (<Format>&amp;lt;br/&amp;gt;</Format> is the escaped version of <Format>&lt;br/&gt;</Format> which specifies a line break in HTML and XML). Preview the <AutoText key="coredm::_Global:labelCreator_" type="italics"/> list.</Text></MajorVersion>
+<MajorVersion number="3"><Text id="fw-22-3">You can change the separator between the authors. Modify the format statement, and replace <Format>&lt;gsf:metadata name=&quot;dc.Creator&quot; /&gt;</Format> with <Format>&lt;gsf:metadata name=&quot;dc.Creator&quot; separator=&quot; &quot;&gt;</Format>. This will add a space after each author. Preview the <AutoText key="coredm::_Global:labelCreator_" type="italics"/> list.</Text></MajorVersion>
 <Text id="fw-23">If you have done exercise <TutorialRef id="enhanced_word"/>, the collection will have both dc.Creator and ex.Creator metadata. To display the metadata values for both, you can use </Text>
 <Format>
@@ -1413,11 +1414,11 @@
 </Heading>
 <NumberedItem>
-<Text id="ew-21">If you look at the HTML versions of <Path>word05.doc</Path> and <Path>word06.doc</Path>, you will see that it now has two tables of contents. One is generated by Greenstone based on the document's styles, the other was already defined in the Word document. <AutoText text="WordPlugin"/> can be configured to remove predefined tables of contents and tables of figures. The tables must be defined with Word styles in order for this to work.</Text> 
-</NumberedItem>
-<NumberedItem>
-<Text id="ew-22">To remove the tables of contents and figures from <Path>word06.doc</Path> and the table of contents from <Path>word05.doc</Path>, switch on the <AutoText text="delete_toc"/> option in <AutoText text="WordPlugin"/>. Set the <AutoText text="toc_header"/> option to <Format>(MsoToc1|MsoToc2|MsoToc3|MsoTof|TOA)</Format>. In this document, the table of contents and list of figures use these four style names. Click <AutoText key="glidict::General.OK" type="button"/>.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="ew-24"><b>Build</b> and <b>preview</b> the collection. Both <Path>word05.doc</Path> and <Path>word06.doc</Path> should now have only one table of contents.</Text>
+<Text id="ew-21">If you look at the HTML version<MajorVersion number="2">s of <Path>word05.doc</Path> and</MajorVersion> <Path>word06.doc</Path>, you will see that it now has two tables of contents. One is generated by Greenstone based on the document's styles, the other was already defined in the Word document. <AutoText text="WordPlugin"/> can be configured to remove predefined tables of contents and tables of figures. The tables must be defined with Word styles in order for this to work.</Text> 
+</NumberedItem>
+<NumberedItem>
+<Text id="ew-22">To remove the tables of contents and figures from <Path>word06.doc</Path><MajorVersion number="2"> and the table of contents from <Path>word05.doc</Path></MajorVersion>, switch on the <AutoText text="delete_toc"/> option in <AutoText text="WordPlugin"/>. Set the <AutoText text="toc_header"/> option to <Format>(MsoToc1|MsoToc2|MsoToc3|MsoTof|TOA)</Format>. In this document, the table of contents and list of figures use these four style names. Click <AutoText key="glidict::General.OK" type="button"/>.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="ew-24"><b>Build</b> and <b>preview</b> the collection. <MajorVersion number="2">Both <Path>word05.doc</Path> and </MajorVersion><Path>word06.doc</Path> should now have only one table of contents.</Text>
 </NumberedItem>
 <Heading>